# Uses of Interface
org.eclipse.ui.IPerspectiveRegistry

Packages that use IPerspectiveRegistry
Package
Description
org.eclipse.ui
Application programming interfaces for interaction with and extension of the Eclipse Platform User Interface.
org.eclipse.ui.internal

## Uses of IPerspectiveRegistry in org.eclipse.ui

Methods in org.eclipse.ui that return IPerspectiveRegistry
Modifier and Type
Method
Description
`IPerspectiveRegistry`
IWorkbench.`getPerspectiveRegistry()`
Returns the perspective registry for the workbench.

## Uses of IPerspectiveRegistry in org.eclipse.ui.internal

Methods in org.eclipse.ui.internal that return IPerspectiveRegistry
Modifier and Type
Method
Description
`IPerspectiveRegistry`
Workbench.`getPerspectiveRegistry()`
`IPerspectiveRegistry`
WorkbenchPlugin.`getPerspectiveRegistry()`
Return the perspective registry.